Bug 3550 - wrong dates in ssh listing
: wrong dates in ssh listing
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gftp)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-01-28 14:49 by
Modified: 2005-06-01 00:49 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-01-28 14:49:08
даты за последние 6 месяцев, которые  ls показывает ммм дд чч:мм получают
текущий год, даже если они за конец прошлого.

фикс тривиальный. не вижу, куда патч вставлять, так что вставлю сюда

--- /usr/src/RPM/BUILD/gftp-2.0.16/lib/protocols.c      2003-11-08 14:23:20
+0200
+++ protocols.c 2004-01-28 13:15:41 +0200
@@ -1165,7 +1165,9 @@
           tmppos = strptime (str, "%h %d %H:%M", &curtime);
           t = time (NULL);
           loctime = localtime (&t);
-          curtime.tm_year = loctime->tm_year;
+          curtime.tm_year = loctime->tm_year - 1;
+         if ( difftime ( t, timelocal ( & curtime ) ) >= 31556952 / 2 )
+               curtime.tm_year = loctime->tm_year;
         }
       else
         tmppos = strptime (str, "%h %d %Y", &curtime);

автору я послал, но что-то с gftp затишье последнее время ...

Steps to Reproduce:
1.посмотреть по ssh на файл за декабрь 2003
2.
3.
Actual Results:  
декабрь 2004

Expected Results:  
декабрь 2003
------- Comment #1 From 2004-01-28 17:24:00 -------
говорят, в cvs уже пофиксено
------- Comment #2 From 2004-02-16 17:17:47 -------
fixed in 2.0.16-alt2 
------- Comment #3 From 2004-02-16 17:18:17 -------
fixed in 2.0.16-alt2 
------- Comment #4 From 2005-06-01 00:49:00 -------
закрываю за reporter